Subject: Re: [PATCH] Update udbg_progress() to display the integer

From: [email-masked] (Olof Johansson)
Date: Tue, 6 Feb 2007 18:03:26 -0600

On Tue, Feb 06, 2007 at 05:54:06PM -0600, Timur Tabi wrote:
> Kumar Gala wrote:
> 
> >I'm with Ben on this.  I'm not aware of any in tree user that just 
> >doesn't print this stuff out to a console port.  The concept is nice, 
> >but does anyone really use it?
> 
> I just ran a quick test on an 8349 board, and it appears that everywhere 
> ppc_md.progress() is called, printk() works, too.
> 
> Is there any platform where ppc_md.progress() does something different than 
> printk()?  Is there any point in the boot process where ppc_md.progress() 
> works but printk() doesn't?

On some IBM machines the progress will also print the status on the hardware
maintenance console's status line for the partition/machine in question.

-Olof